Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# JointDataSequencer Class Reference

A class executing JointDataSequences. More...

`#include <JointDataSequencer.h>`

Inheritance diagram for JointDataSequencer:

[legend]
Collaboration diagram for JointDataSequencer:

[legend]
List of all members.

## Public Member Functions
| JointDataSequencer ()
| Constructor.
JointDataSequencer & | operator= (const JointDataSequence &other)
| Assignment operator.
void | nextSequenceData (JointData &jointData)
| write next data from current sequent to jointData
void | start ()
| start executing the sequence
void | stop ()
| stop executing the sequence
bool | isRunning ()
| returns true if the sequence is being executed
## Protected Member Functions
void | interpolateJointData (JointData &jointData, const JointData &from, const JointData &to, int step, int len)
| interpolate joint data
## Protected Attributes
bool | running
| true if the sequence is being executed
int | sequencePos
| current position in sequence
int | repetitionCounter
| counter for repetition of current sequence line

## Detailed Description

A class executing JointDataSequences.

It derives from JointDataSequence but adds methods to execute the sequence.

Definition at line 19 of file JointDataSequencer.h.

## Constructor & Destructor Documentation

JointDataSequencer::JointDataSequencer | ( |  | ) |

| Constructor. Definition at line 11 of file JointDataSequencer.cpp.

## Member Function Documentation

JointDataSequencer & JointDataSequencer::operator= | ( | const JointDataSequence & | other | ) |

| Assignment operator. Reimplemented from JointDataSequence. Definition at line 16 of file JointDataSequencer.cpp. References JointDataSequence::entry, JointDataSequence::interpolate, JointDataSequence::loop, JointDataSequence::numOfEntries, and JointDataSequence::repeats.

void JointDataSequencer::nextSequenceData | ( | JointData & | jointData | ) |

| write next data from current sequent to jointData Definition at line 49 of file JointDataSequencer.cpp. References interpolateJointData(), repetitionCounter, and sequencePos. Referenced by DebugMotionControl::execute(), and GT2005GetupEngine::executeParameterized().

Here is the call graph for this function:

void JointDataSequencer::start | ( |  | ) |

| start executing the sequence Definition at line 37 of file JointDataSequencer.cpp. References repetitionCounter, and sequencePos. Referenced by GT2005GetupEngine::executeParameterized(), and DebugMotionControl::handleMessage().

void JointDataSequencer::stop | ( |  | ) |

| stop executing the sequence Definition at line 44 of file JointDataSequencer.cpp.

bool JointDataSequencer::isRunning | ( |  | ) |

| returns true if the sequence is being executed Definition at line 32 of file JointDataSequencer.cpp. Referenced by DebugMotionControl::execute(), and GT2005GetupEngine::executeParameterized().

void JointDataSequencer::interpolateJointData | ( | JointData & | jointData,
|  | const JointData & | from,
|  | const JointData & | to,
|  | int | step,
|  | int | len
| ) | `[protected]`

  | interpolate joint data Parameters:
  jointData | stores interpolated data
  from | data to start from
  to | data to interpolate to
  step | index of interpolation step
  len | length of interpolation
Definition at line 81 of file JointDataSequencer.cpp. References JointData::data. Referenced by nextSequenceData().

## Member Data Documentation

bool JointDataSequencer::running`[protected]`

| true if the sequence is being executed Definition at line 55 of file JointDataSequencer.h.

int JointDataSequencer::sequencePos`[protected]`

| current position in sequence Definition at line 58 of file JointDataSequencer.h. Referenced by nextSequenceData(), and start().

int JointDataSequencer::repetitionCounter`[protected]`

| counter for repetition of current sequence line Definition at line 61 of file JointDataSequencer.h. Referenced by nextSequenceData(), and start().

The documentation for this class was generated from the following files:

- Tools/Actorics/JointDataSequencer.h
- Tools/Actorics/JointDataSequencer.cpp